Intel y AMD avisan de un total de 10 nuevas vulnerabilidades que afectan tanto a CPU como GPU

Intel y AMD avisan de un total de 10 nuevas vulnerabilidades que afectan tanto a CPU como GPU

marzo 14, 2024 Desactivado Por

Tener un ordenador completamente seguro ante cualquier tipo de ataques es casi imposible, pues hasta la famosa seguridad de los dispositivos de Apple ha sido vulnerada en varias ocasiones. Las vulnerabilidades y brechas de seguridad son algo a lo que tenemos que estar acostumbrados y aceptar que estas van a aparecer cada cierto tiempo, aunque por suerte hay correcciones. Ahora, tanto Intel como AMD han advertido de la existencia de nuevas vulnerabilidades de CPU y GPU, siendo el pasado 12 de marzo cuando ambas compañías publicaron en sus boletines de seguridad.

Hace apenas un mes, AMD publicó un total de 4 graves vulnerabilidades que afectaban a todas sus CPU. Así pues, tanto si teníamos un procesador Ryzen de PC o portátil, una CPU Threadripper o un EPYC para servidores, estábamos en la lista de afectados. Por suerte, para la mayoría de estos procesadores, AMD había lanzado actualizaciones de BIOS y parches para mitigar dichas vulnerabilidades.

Intel publica en su boletín de seguridad 8 nuevas vulnerabilidades que afectan a sus CPU

AMD/intel Security Bulletins (March 2024)https://t.co/6iq7GFHzIRhttps://t.co/4w8Ku778ZC pic.twitter.com/4xn3HqbOUF

— HXL (@9550pro) March 13, 2024

La aparición de nuevas vulnerabilidades en CPU y GPU es algo que debemos aceptar y solo con dar un vistazo a los boletines de seguridad de Intel y AMD, podemos ver que ambas han publicado sus últimos hallazgos. En el caso de Intel, tenemos un total de 8 vulnerabilidades que afectan a distintos procesadores. La primera es la INTEL-SA-00898 de gravedad media que afecta a CPU Atom, provocando la divulgación de información a través del acceso local. La siguiente es la INTEL-SA-00923 de gravedad media que afecta a Intel CSME y SPS, permitiendo al atacante obtener privilegios o denegar servicios. Pasamos a la Intel-SA-00929 que afecta al firmware de BIOS pudiendo escalar privilegios y tiene gravedad alta.

La siguiente vulnerabilidad bajo el nombre de INTEL-SA-00960 afecta a procesadores Xeon de tercera y cuarta generación cuando se usa Intel SGX e Intel TDX. Pasamos a la INTEL-SA-00972 de gravedad de media, provocando la denegación de servicio en procesadores Intel tras bloquear el bus. Bajo el nombre de INTEL-SA-00982 llega la siguiente, que provoca la divulgación de información en las CPU de la marca. La vulnerabilidad INTEL-SA-00986 también produce divulgación de información, pero esta vez afectando a procesadores Intel Xeon de cuarta generación. Por último, tenemos INTEL-SA-01045 que tiene gravedad media y provoca la divulgación de información en CPU Intel Xeon D.

AMD publica 2 nuevas vulnerabilidades que afectan a CPU y GPU

Ahora que hemos visto las 8 vulnerabilidades de Intel, toca hablar de las 2 vulnerabilidades que publicó AMD el 12 de marzo también. Aquí tenemos la que denominan como «Condición de carrera especulativa» (SRC), bajo el nombre de AMD-SB-7016. Esta fue descubierta por unos investigadores de IBM y se notificó a AMD de su existencia. La compañía recomienda seguir su documentación para mitigar los ataques derivados de Spectre. Si vamos al informe, se nos describe como pueden alterar el comportamiento especulativo de las CPU para acceder a código no autorizado.

En cuanto a la segunda vulnerabilidad de AMD, esta sería un ataque de canal lateral de caché de GPU a través de WebGPU. Bajo el código AMD-SB-6011, la compañía de Lisa Su lo ha resumido como un ataque a la caché de la gráfica desde el navegador. Aunque no se ha mencionado una mitigación, AMD ha mencionado un artículo publicado por unos investigadores que trata esta vulnerabilidad.

Intel soluciona 5 de estas vulnerabilidades en Linux con un microcódigo de CPU

Tras haber visto la lista de vulnerabilidades de Intel y AMD, nos toca hacer un detalle final. Resulta que Intel ha lanzado un nuevo microcódigo de CPU que se encarga de solucionar 5 vulnerabilidades en Linux que vimos antes: SA-00972, SA-00982, SA-00898, SA-00960 y SA-01045. Este se encarga de mitigar el problema del bloqueo de bus, la divulgación de información y la escala de privilegios en Xeon de tercera y cuarta generación.

Adicionalmente, el microcódigo trae actualizaciones para CPU Core de séptima generación hasta los Core Ultra Meteor Lake de última generación y Xeon de 2ª a 4ª generación. Por otro lado, se ha lanzado en conjunto a un parche de kernel de Linux para mitigar la vulnerabilidad de archivos de registro RFDS que afectaba a núcleos Intel Atom.

La entrada Intel y AMD avisan de un total de 10 nuevas vulnerabilidades que afectan tanto a CPU como GPU aparece primero en El Chapuzas Informático.